<p>title: Statemen If
description:</p>
<hr />
<p>Statemen perulangan while akan menjalankan blok kode berulang-ulang selama kondisi masih bernilai true.</p>
<pre><code>while (kondisi) {
    // kode yang akan dijalankan berulang
}</code></pre>
<p>Sebagai contoh kode berikut:</p>
<pre><code>int x = 1;
while(x &lt;= 5)
{
    System.out.println(x);
    x++;
}</code></pre>
<p>Pada kode di atas, program akan mencetak nomor 1 sampai dengan 5. Statemen while akan mengecek kondisi, yang apabila nilainya true, dia akan menjalankan blok kode di dalamnya. Statemen while akan terus dijalankan sampai kondisi pada while bernilai false. Sehingga kita harus menyiapkan skenario agar kondisi bernilai false. </p>
<p>Pengubah kondisi dapat berupa <em>decrement</em> / <em>increment</em> atau cukup mengubah nilai suatu variabel yang digunakan di kondisi <strong>while</strong>. Pada kode di atas kita menambah nilai variabel x sebanyak 1 setiap kali blok kode pada while dijalankan, agar sampai pada kondisi nilai $x lebih dari 5 sehingga pengecekan kondisi bernilai false.</p>
<pre><code class="language-java">class WhileLoop {
    public static void main (String[] args) {
        int x = 0;

        while (x &lt; 10)
        {
            System.out.println(x);
            x++;
        }
    }
}</code></pre>